#!/bin/bash

if [ ! -f "/home/komodo/.ssh/id_rsa.pub" ]; then
    echo "SSH-ID does not exist."
    echo "Please do ssh-keygen and do not forget to register it on gitlab."
    #exit 1
fi

read -p 'Cluster name (one word): ' clustername < /dev/tty
if [ -z "$clustername" ]; then
	echo "Invalid clustername";
	exit
fi
clustername=${clustername^^}

read -p 'Modem port (eg: ttyUSB0): ' modemport < /dev/tty
$modemport=`basename $modemport`
if [ -z "$modemport" ]; then
	echo "Invalid modemport";
	exit
fi
exit
set -x

sudo useradd komodo
sudo usermod -a -G dialout komodo
sudo -u komodo mkdir /home/komodo/gateways
cd /home/komodo/gateways
sudo -u komodo git clone git@gitlab.kodesumber.com:komodo/komodo-gw-mkios.git $modemport || exit 1
cd /home/komodo/gateway/$modemport || exit 1
sudo -u komodo npm install
